#include <cstdio>

using namespace std; 

double procenat(int a, double p){
	return ((a*p)/100); 
}

int main(){
	int n; 
	scanf("%d", &n); 
	int p[n]; 
	double o[n]; 
	for(int i = 0 ; i < n ; i++){
		scanf("%d%lf", &p[i], &o[i]); 
	}
	double ma = -1, porez, z = 0; 
	for(int i = 0 ; i < n ; i++){
		porez = o[i]; 
		z = 0; 
		for(int j = 0 ; j < n ; j++){
			if(o[j] >= porez) z += procenat(p[j], porez); 
		}
		if(z > ma) ma = z; 
	}
	printf("%lf", ma); 
	return 0; 
}